#!/bin/ksh

RSCT_PATH=/opt/rsct

GOOD_VERSION="NO"

RSCT_VERSION=$(${RSCT_PATH}/install/bin/ctversion | awk '{print $1}')

case $RSCT_VERSION in
    roots002a ) GOOD_VERSION="YES";;
    roots003a ) GOOD_VERSION="YES";;
    roots004a ) GOOD_VERSION="YES";;
    roots005a ) GOOD_VERSION="YES";;
    roots006a ) GOOD_VERSION="YES";;
    roots007a ) GOOD_VERSION="YES";;
    roots008a ) GOOD_VERSION="YES";;
    roots009a ) GOOD_VERSION="YES";;
esac

if [[ $GOOD_VERSION != "YES" ]]
then
    print "Wrong version for this fix"
    ${RSCT_PATH}/install/bin/ctversion -b
    print "Compatible versions are roots002a through roots009a"
    exit 1
fi


LSSRC_HATS=$(lssrc -s cthats | tail -1)
HATS_STATE=${LSSRC_HATS##* }

if [[ $HATS_STATE != "inoperative" ]]
then
    print "Cannot install while cthats is active:"
    print "$LSSRC_HATS"
    ${RSCT_PATH}/bin/lsrpdomain
    exit 1
fi


TARGET_FILENAME=${RSCT_PATH}/bin/hatsd

if [[ ! -f $TARGET_FILENAME ]]
then
    print "Could not find target file ${TARGET_FILENAME}"
    ls $TARGET_FILENAME
    exit 1
fi

EFIX_FILENAME=hatsd.efix

LOCAL_CHECKSUM=$(cksum $EFIX_FILENAME)
if [[ "$LOCAL_CHECKSUM" != "2785737542 2424040 hatsd.efix" ]]
then
    print "Checksum of delivered file has been compromised."
    print " Current: $LOCAL_CHECKSUM"
    print "Expected: 2785737542 2424040 hatsd.efix"
    exit 1
fi


cp $TARGET_FILENAME hatsd.orig
cp hatsd.efix $TARGET_FILENAME

print "Install completed"

exit 0

